"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var error_1 = require("../../error");
var application_action_builder_1 = require("./application-action.builder");
var definition_1 = require("../../definition");
function applicationReducer(state, action) {
    if (state === void 0) { state = definition_1.INITIAL_APPLICATION_ENTITY; }
    switch (action.type) {
        case application_action_builder_1.ApplicationActionBuilder.buildPrepareActionType():
            return __assign({}, state, { ready: false, progress: true, error: null });
        case application_action_builder_1.ApplicationActionBuilder.buildPathActionType():
            return __assign({}, state, { path: action.data });
        case application_action_builder_1.ApplicationActionBuilder.buildCustomErrorActionType():
        case application_action_builder_1.ApplicationActionBuilder.buildPrepareErrorActionType():
            return __assign({}, state, { customError: action.type === application_action_builder_1.ApplicationActionBuilder.buildCustomErrorActionType(), progress: false, error: error_1.convertError(action.error).message });
        case application_action_builder_1.ApplicationActionBuilder.buildReadyActionType():
            return __assign({}, state, { error: null, progress: false, ready: true });
        case application_action_builder_1.ApplicationActionBuilder.buildNotReadyActionType():
            return __assign({}, state, { ready: false });
        case application_action_builder_1.ApplicationActionBuilder.buildAuthorizedActionType():
            return __assign({}, state, { authorized: true });
        case application_action_builder_1.ApplicationActionBuilder.buildUnauthorizedActionType():
            return __assign({}, state, { authorized: false });
    }
    return state;
}
exports.applicationReducer = applicationReducer;
//# sourceMappingURL=application.reducer.js.map