/// <reference types="react" />
import { IEntity } from '../../definitions.interface';
import { BaseList } from '../list';
import { IGridState } from './grid.interface';
import { IGridProps } from '../../definition';
export declare class Grid extends BaseList<IGridProps, IGridState> {
    /**
     * @stable [07.06.2018]
     * @param {IGridProps} props
     */
    constructor(props: IGridProps);
    /**
     * @stable [23.10.2019]
     * @returns {JSX.Element}
     */
    protected getView(): JSX.Element;
    /**
     * @stable [07.06.2018]
     * @returns {IEntity[]}
     */
    protected filterAndSortOriginalDataSourceUsingLocalFiltersAndSorters(): IEntity[];
    /**
     * @stable [06.06.2018]
     * @param {IFieldChangeEntity} payload
     */
    private onChangeRowField;
    /**
     * @stable [07.06.2018]
     * @param {IFieldChangeEntity} payload
     */
    private onChangeGroupingRowField;
    /**
     * @stable [07.06.2018]
     * @param {IFieldChangeEntity} payload
     */
    private onChangeHeaderField;
    /**
     * @stable [07.06.2018]
     * @param {IFieldChangeEntity} payload
     */
    private onChangeFilterField;
    /**
     * @stable - 06.04.2018
     * @param {IGridColumnProps} column
     * @param {number} columnNum
     * @returns {React.ReactNode}
     */
    private getHeaderColumnContent;
    private readonly headRowElement;
    /**
     * @stable [07.06.2018]
     * @param {IEntity} entity
     * @param {IGridColumnProps} column
     * @param {number} columnNum
     * @param {number} rowNum
     * @param {IEntity[]} groupedRows
     * @returns {React.ReactNode}
     */
    private getColumn;
    /**
     * @stable [07.06.2018]
     * @param {IGridColumnProps} column
     * @param {number} columnNum
     * @returns {React.ReactNode}
     */
    private getFilterColumn;
    /**
     * @stable [26.10.2019]
     * @param {IEntity} entity
     * @param {number} rowNum
     * @param {boolean} highlightOdd
     * @param {IEntity[]} groupedRows
     * @returns {JSX.Element}
     */
    private getRow;
    /**
     * @stable [26.10.2019]
     * @returns {JSX.Element}
     */
    private readonly filterElement;
    /**
     * @stable [07.06.2018]
     * @param {string} name
     * @returns {AnyT}
     */
    private toFilterFieldValue;
    /**
     * @stable [07.06.2018]
     * @returns {IFieldProps}
     */
    private getDefaultFieldProps;
    /**
     * @stable [07.06.2018]
     * @param {IEntity} entity
     * @param {IGridColumnProps} column
     * @param {number} columnNum
     * @returns {string}
     */
    private toFieldName;
    /**
     * @stable [07.06.2018]
     * @param {IGridColumnProps} column
     * @param {number} columnNum
     * @returns {string}
     */
    private toFilterFieldName;
    /**
     * @stable - 06.04.2018
     * @param {number} columnNum
     * @returns {string}
     */
    private toHeaderFieldName;
    /**
     * @stable - 05.04.2018
     * @param {number} columnNum
     * @returns {string}
     */
    private toFilterColumnKey;
    /**
     * @stable - 05.04.2018
     * @param {number} columnNum
     * @returns {string}
     */
    private toHeaderColumnKey;
    /**
     * @stable - 06.04.2018
     * @param {string} fieldName
     * @returns {AnyT}
     */
    private toFieldValue;
    /**
     * @stable - 06.04.2018
     * @param {string} fieldName
     * @returns {AnyT}
     */
    private toCheckboxFieldValue;
    /**
     * @stable [07.06.2018]
     * @param {JSX.Element} renderEl
     * @returns {boolean}
     */
    private isElementField;
    /**
     * @stable [10.10.2018]
     * @returns {IGridColumnProps[]}
     */
    private readonly columnsConfiguration;
    /**
     * @stable [04.07.2018]
     * @param {EntityIdT} groupedRowValue
     * @returns {string}
     */
    private toGroupedRowKey;
    /**
     * @stable [27.12.2018]
     * @returns {string}
     */
    private toTotalRowKey;
    /**
     * @stable [05.10.2018]
     * @param {EntityIdT} groupedRowValue
     * @param {number} columnNum
     * @returns {string}
     */
    private toGroupedColumnKey;
    /**
     * @stable [27.12.2018]
     * @param {number} columnNum
     * @returns {string}
     */
    private toTotalColumnKey;
    /**
     * @stable [06.09.2018]
     * @param {IEntity[]} dataSource
     * @returns {JSX.Element[]}
     */
    private getGroupedRows;
    /**
     * @stable [11.11.2019]
     * @param {EntityIdT} groupedRowValue
     * @param {IEntity[]} groupedRows
     * @param {number} rowNum
     * @returns {JSX.Element}
     */
    private getGroupingRow;
    /**
     * @stable [27.10.2019]
     * @returns {JSX.Element}
     */
    private readonly totalRowElement;
    /**
     * @stable [04.07.2018]
     * @param {IBaseEvent} event
     * @param {EntityIdT} groupedRowValue
     * @param {boolean} expanded
     */
    private onExpandGroup;
    /**
     * @stable [03.09.2018]
     * @param {EntityIdT} groupedRowValue
     * @returns {boolean}
     */
    private isGroupedRowExpanded;
    private onExpandAllGroups;
    /**
     * @stable [07.03.2019]
     * @param {IEntity} entity
     * @returns {AnyT}
     */
    private extractGroupedValue;
    /**
     * @stable [27.07.2019]
     * @returns {boolean}
     */
    private readonly hasGrouping;
    /**
     * @stable [27.10.2019]
     * @returns {boolean}
     */
    private readonly isExpandActionRendered;
}
