import * as React from 'react';
import { IGridColumnProps } from '../../../definition';
import { BaseGridColumn } from '../base-column';
export declare class GridHeaderColumn extends BaseGridColumn {
    /**
     * @stable [17.10.2019]
     * @param {IGridColumnProps} props
     */
    constructor(props: IGridColumnProps);
    /**
     * @stable [17.10.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [22.10.2019]
     * @param {React.ReactNode} children
     * @returns {React.ReactNode}
     */
    protected getColumnContentChildrenElement(children: React.ReactNode): React.ReactNode;
    /**
     * @stable [18.10.2019]
     */
    private onChangeAscSortingActionClick;
    /**
     * @stable [18.10.2019]
     */
    private onChangeDescSortingActionClick;
    /**
     * @stable [18.10.2019]
     * @param {SortDirectionsEnum} direction
     */
    private doSortingDirectionChange;
    /**
     * @stable [18.10.2019]
     * @returns {boolean}
     */
    private readonly isDescSortingEnabled;
    /**
     * @stable [18.10.2019]
     * @returns {boolean}
     */
    private readonly isAscSortingEnabled;
    /**
     * @stable [18.10.2019]
     * @returns {React.CSSProperties}
     */
    private readonly styles;
}
