"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var di_1 = require("../../di");
var util_1 = require("../../util");
var SelectedElementPlugin = /** @class */ (function () {
    /**
     * @stable [23.10.2019]
     * @param {IComponent} component
     */
    function SelectedElementPlugin(component) {
        this.component = component;
    }
    /**
     * @stable [23.10.2019]
     */
    SelectedElementPlugin.prototype.componentDidMount = function () {
        this.refreshScrollPosition();
    };
    /**
     * @stable [25.10.2019]
     */
    SelectedElementPlugin.prototype.componentDidUpdate = function () {
        this.refreshScrollPosition();
    };
    /**
     * @stable [08.11.2019]
     */
    SelectedElementPlugin.prototype.refreshScrollPosition = function () {
        var _this = this;
        util_1.ifNotNilThanValue(this.selectedElement, function (selectedElement) {
            if (!_this.domAccessor.isElementVisibleWithinParent(selectedElement, _this.component.getSelf())) {
                _this.domAccessor.scrollTo(selectedElement, _this.component.getSelf(), util_1.ifNotNilThanValue(_this.stickyElement, function (stickyElement) { return ({ offsetTop: _this.domAccessor.getHeight(stickyElement) }); }, {}));
            }
        });
    };
    Object.defineProperty(SelectedElementPlugin.prototype, "selectedElement", {
        /**
         * @stable [26.10.2019]
         * @returns {Element}
         */
        get: function () {
            return this.domAccessor.findElement("." + this.component.props.selectedElementClassName, this.component.getSelf());
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SelectedElementPlugin.prototype, "stickyElement", {
        /**
         * @stable [08.11.2019]
         * @returns {Element}
         */
        get: function () {
            var _this = this;
            return util_1.ifNotNilThanValue(this.component.props.stickyElementClassName, function (stickyElementClassName) { return _this.domAccessor.findElement("." + stickyElementClassName, _this.component.getSelf()); });
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.DomAccessor),
        __metadata("design:type", Object)
    ], SelectedElementPlugin.prototype, "domAccessor", void 0);
    return SelectedElementPlugin;
}());
exports.SelectedElementPlugin = SelectedElementPlugin;
//# sourceMappingURL=selected-element-scroll.plugin.js.map