"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../../../../util");
var action_builder_1 = require("../../../action.builder");
var base_store_proxy_1 = require("../base-store.proxy");
var FormStoreProxy = /** @class */ (function (_super) {
    __extends(FormStoreProxy, _super);
    /**
     * @stable [09.10.2019]
     * @param {IUniversalContainer<TProps extends IUniversalContainerProps>} container
     */
    function FormStoreProxy(container) {
        var _this = _super.call(this, container) || this;
        _this.container = container;
        _this.dispatchFormReset = _this.dispatchFormReset.bind(_this);
        return _this;
    }
    /**
     * @stable [09.10.2019]
     * @param {string} otherSection
     */
    FormStoreProxy.prototype.dispatchFormReset = function (otherSection) {
        this.dispatchAnyAction(action_builder_1.FormActionBuilder.buildResetPlainAction(otherSection || this.sectionName));
    };
    /**
     * @stable [09.10.2019]
     * @param {TChanges} changes
     * @param {string} otherSection
     */
    FormStoreProxy.prototype.dispatchFormChanges = function (changes, otherSection) {
        this.dispatchAnyAction(action_builder_1.FormActionBuilder.buildChangesPlainAction(otherSection || this.sectionName, changes));
    };
    FormStoreProxy = __decorate([
        util_1.namedConstructor('$$formStoreProxy'),
        __metadata("design:paramtypes", [Object])
    ], FormStoreProxy);
    return FormStoreProxy;
}(base_store_proxy_1.BaseStoreProxy));
exports.FormStoreProxy = FormStoreProxy;
//# sourceMappingURL=form-store.proxy.js.map