import { IOperationEntity, IUniversalContainer, IUniversalContainerProps, IUniversalStoreEntity } from '../../../../definition';
import { BaseStoreProxy } from '../base-store.proxy';
import { ITransportStoreProxy } from './transport-store-proxy.interface';
export declare class TransportStoreProxy<TStore extends IUniversalStoreEntity = IUniversalStoreEntity, TProps extends IUniversalContainerProps = IUniversalContainerProps> extends BaseStoreProxy<TStore, TProps> implements ITransportStoreProxy {
    readonly container: IUniversalContainer<TProps>;
    /**
     * @stable [11.10.2019]
     * @param {IUniversalContainer<TProps extends IUniversalContainerProps>} container
     */
    constructor(container: IUniversalContainer<TProps>);
    /**
     * @stable [13.10.2019]
     * @param {string | IOperationEntity} operation
     * @returns {boolean}
     */
    isTransportOperationInProgress(operation: string | IOperationEntity): boolean;
    /**
     * @stable [13.10.2019]
     * @param {string | IOperationEntity} operations
     * @returns {boolean}
     */
    isTransportOperationsInProgress(...operations: Array<string | IOperationEntity>): boolean;
}
