"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var util_1 = require("../../../../util");
var base_store_proxy_1 = require("../base-store.proxy");
var TransportStoreProxy = /** @class */ (function (_super) {
    __extends(TransportStoreProxy, _super);
    /**
     * @stable [11.10.2019]
     * @param {IUniversalContainer<TProps extends IUniversalContainerProps>} container
     */
    function TransportStoreProxy(container) {
        var _this = _super.call(this, container) || this;
        _this.container = container;
        _this.isTransportOperationInProgress = _this.isTransportOperationInProgress.bind(_this);
        return _this;
    }
    /**
     * @stable [13.10.2019]
     * @param {string | IOperationEntity} operation
     * @returns {boolean}
     */
    TransportStoreProxy.prototype.isTransportOperationInProgress = function (operation) {
        return this.isTransportOperationsInProgress(operation);
    };
    /**
     * @stable [13.10.2019]
     * @param {string | IOperationEntity} operations
     * @returns {boolean}
     */
    TransportStoreProxy.prototype.isTransportOperationsInProgress = function () {
        var operations = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            operations[_i] = arguments[_i];
        }
        return R.intersection(this.props.transport.queue, operations.map(function (operation) { return (util_1.isString(operation)
            ? operation
            : operation.id); })).length > 0;
    };
    TransportStoreProxy = __decorate([
        util_1.namedConstructor('$$transportStoreProxy'),
        __metadata("design:paramtypes", [Object])
    ], TransportStoreProxy);
    return TransportStoreProxy;
}(base_store_proxy_1.BaseStoreProxy));
exports.TransportStoreProxy = TransportStoreProxy;
//# sourceMappingURL=transport-store.proxy.js.map