import * as React from 'react';
import { AnyT, IClassNameWrapper, IGetSelfWrapper, IPluginsWrapper, IStyleWrapper, ITitleWrapper } from '../definitions.interface';
import { IUniversalPluginCtor } from './plugin-definition.interface';
import { IComponentProps, IUniversalComponentProps } from './props-definition.interface';
/**
 * @browser-compatible
 * @stable [20.09.2019]
 */
export interface IWebComponentEntity<TClassName = string> extends IClassNameWrapper<TClassName>, IStyleWrapper<React.CSSProperties> {
}
/**
 * @react-native-compatible
 * @stable [22.09.2019]
 */
export interface IUniversalComponentEntity extends React.ClassAttributes<AnyT>, // TODO Replace with React.RefAttributes (ref="string")
ITitleWrapper, IPluginsWrapper<IUniversalPluginCtor | IUniversalPluginCtor[]> {
}
/**
 * @react-native-compatible
 * @stable [22.09.2019]
 */
export interface IUniversalComponent<TProps extends IUniversalComponentProps = IUniversalComponentProps, TState = {}> extends React.Component<TProps, TState>, IGetSelfWrapper {
}
/**
 * @stable [27.09.2019]
 */
export interface IComponent<TProps extends IComponentProps = IComponentProps, TState = {}> extends IUniversalComponent<TProps, TState> {
}
/**
 * @react-native-compatible
 * @stable [23.10.2019]
 */
export interface IUniversalComponentCtor<TProps extends IUniversalComponentProps = IUniversalComponentProps, TState = {}> extends React.ComponentClass<TProps, TState> {
}
/**
 * @stable [23.10.2019]
 */
export interface IComponentCtor<TProps extends IComponentProps = IComponentProps, TState = {}> extends IUniversalComponentCtor<TProps, TState> {
}
