import { AnyT, IAddedFilesWrapper, IFilePathWrapper, IIdWrapper, IRemovedFilesWrapper } from '../definitions.interface';
/**
 * @stable [16.09.2019]
 */
export declare const STORAGE_PATH_SEPARATOR = "#";
export declare const STORAGE_APP_STATE_KEY = "$$rac";
export declare const STORAGE_APP_UUID_KEY: string;
export declare const STORAGE_NOT_VERSIONED_KEY: string;
export declare const STORAGE_VERSIONED_KEY: string;
/**
 * @stable [17.11.2019]
 */
export interface IStorageSettingsEntity {
    authToken?: string;
}
/**
 * @stable [17.11.2019]
 */
export declare const DEFAULT_STORAGE_SETTINGS_ENTITY: Readonly<IStorageSettingsEntity>;
/**
 * @stable [28.07.2019]
 */
export declare enum StorageTypesEnum {
    SESSION = 0,
    LOCAL = 1
}
/**
 * @stable [28.07.2019]
 */
export interface IStorage {
    set(key: string, value: AnyT): Promise<AnyT>;
    get?(key: string): Promise<AnyT>;
    remove?(key: string, noPrefix?: boolean): Promise<void>;
    each?(command: (value: AnyT, key: string) => void): void;
}
/**
 * @stable [02.10.2019]
 */
export interface IAddedFileEntity extends IIdWrapper<string>, IFilePathWrapper {
}
/**
 * @stable [02.10.2019]
 */
export interface IMultiEntityStorageSetEntity extends IAddedFilesWrapper<IAddedFileEntity[]>, IRemovedFilesWrapper<void[]> {
}
