"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var env_1 = require("../env");
var filter_1 = require("../util/filter");
/**
 * @stable [16.09.2019]
 */
exports.STORAGE_PATH_SEPARATOR = '#';
exports.STORAGE_APP_STATE_KEY = '$$rac';
exports.STORAGE_APP_UUID_KEY = exports.STORAGE_APP_STATE_KEY + ".uuid";
exports.STORAGE_NOT_VERSIONED_KEY = filter_1.filterArray([env_1.ENV.appProfile, env_1.ENV.port, env_1.ENV.normalizedBasePath], filter_1.NOT_EMPTY_VALUE_PREDICATE).join(exports.STORAGE_PATH_SEPARATOR);
exports.STORAGE_VERSIONED_KEY = filter_1.filterArray([env_1.ENV.appVersion, exports.STORAGE_NOT_VERSIONED_KEY], filter_1.NOT_EMPTY_VALUE_PREDICATE).join(exports.STORAGE_PATH_SEPARATOR);
/**
 * @stable [17.11.2019]
 */
exports.DEFAULT_STORAGE_SETTINGS_ENTITY = Object.freeze({
    authToken: '$$rac.token.2e45abd2',
});
/**
 * @stable [28.07.2019]
 */
var StorageTypesEnum;
(function (StorageTypesEnum) {
    StorageTypesEnum[StorageTypesEnum["SESSION"] = 0] = "SESSION";
    StorageTypesEnum[StorageTypesEnum["LOCAL"] = 1] = "LOCAL";
})(StorageTypesEnum = exports.StorageTypesEnum || (exports.StorageTypesEnum = {}));
//# sourceMappingURL=storage-definition.interface.js.map