import { IEnvironment } from '../definition';
import { AnyT } from '../definitions.interface';
export declare class Environment implements IEnvironment {
    private static readonly logger;
    readonly appProfile: string;
    readonly appVersion: string;
    readonly basePath: string;
    readonly document: Document;
    readonly host: string;
    readonly prodMode: boolean;
    readonly window: Window;
    /**
     * @stable [08.10.2019]
     */
    constructor();
    /**
     * @stable [08.10.2019]
     * @returns {string}
     */
    readonly platformType: string;
    /**
     * @stable [08.10.2019]
     * @returns {string}
     */
    readonly appNamespace: string;
    /**
     * @stable [08.10.2019]
     * @returns {string}
     */
    readonly googleKey: string;
    /**
     * @stable [08.10.2019]
     * @returns {string}
     */
    readonly browserVersion: string;
    /**
     * @stable [08.10.2019]
     * @returns {string}
     */
    readonly browserName: string;
    /**
     * @stable [08.10.2019]
     * @returns {string}
     */
    readonly platformVersion: string;
    /**
     * @stable [08.10.2019]
     * @returns {string}
     */
    readonly platformName: string;
    /**
     * @stable [08.10.2019]
     * @returns {string}
     */
    readonly passwordPlaceholder: string;
    /**
     * @stable [08.10.2019]
     * @returns {boolean}
     */
    readonly mobilePlatform: boolean;
    /**
     * @stable [08.10.2019]
     * @returns {boolean}
     */
    readonly windowsPhonePlatform: boolean;
    /**
     * @stable [08.10.2019]
     * @returns {boolean}
     */
    readonly safariPlatform: boolean;
    /**
     * @stable [08.10.2019]
     * @returns {boolean}
     */
    readonly chromePlatform: boolean;
    /**
     * @stable [08.10.2019]
     * @returns {boolean}
     */
    readonly windowsPlatform: boolean;
    /**
     * @stable [08.10.2019]
     * @returns {boolean}
     */
    readonly macPlatform: boolean;
    /**
     * @stable [08.10.2019]
     * @returns {boolean}
     */
    readonly androidPlatform: boolean;
    /**
     * @stable [08.10.2019]
     * @returns {boolean}
     */
    readonly ios13Platform: boolean;
    /**
     * @stable [08.10.2019]
     * @returns {boolean}
     */
    readonly iosPlatform: boolean;
    /**
     * @stable [08.10.2019]
     * @param {string} name
     * @param {AnyT} scope
     */
    setVariable(name: string, scope: AnyT): void;
    /**
     * @stable [08.10.2019]
     * @returns {boolean}
     */
    private readonly isMacPlatform;
    /**
     * @stable [08.10.2019]
     * @returns {string}
     */
    private readonly osFamily;
}
