"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var definition_1 = require("../definition");
var RouterActionBuilder = /** @class */ (function () {
    function RouterActionBuilder() {
    }
    /**
     * @stable [03.06.2018]
     * @param {string} path
     * @returns {IEffectsAction}
     */
    RouterActionBuilder.buildNavigateAction = function (path) {
        return redux_effects_promise_1.EffectsAction.create(definition_1.ROUTER_NAVIGATE_ACTION_TYPE, path);
    };
    /**
     * @stable [17.11.2019]
     * @param {string} path
     * @returns {IEffectsAction}
     */
    RouterActionBuilder.buildRewriteAction = function (path) {
        return redux_effects_promise_1.EffectsAction.create(definition_1.ROUTER_REWRITE_ACTION_TYPE, path);
    };
    /**
     * @stable [17.11.2019]
     * @param {string} path
     * @returns {IEffectsAction}
     */
    RouterActionBuilder.buildReplaceAction = function (path) {
        return redux_effects_promise_1.EffectsAction.create(definition_1.ROUTER_REPLACE_ACTION_TYPE, path);
    };
    /**
     * @stable [17.11.2019]
     * @returns {IEffectsAction}
     */
    RouterActionBuilder.buildBackAction = function () {
        return redux_effects_promise_1.EffectsAction.create(definition_1.ROUTER_BACK_ACTION_TYPE);
    };
    /**
     * @stable [17.11.2019]
     * @returns {IEffectsAction}
     */
    RouterActionBuilder.buildReloadAction = function () {
        return redux_effects_promise_1.EffectsAction.create(definition_1.ROUTER_RELOAD_ACTION_TYPE);
    };
    return RouterActionBuilder;
}());
exports.RouterActionBuilder = RouterActionBuilder;
//# sourceMappingURL=router-action.builder.js.map