"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../../util");
var router_1 = require("../../router");
var stack_1 = require("../stack");
/**
 * @stable [19.10.2019]
 * @param {IChainedMiddlewareConfigEntity<TState, TPayload>} config
 * @returns {IEffectsAction[]}
 */
exports.makeChainedMiddleware = function (config) {
    return util_1.ifNotFalseThanValue(util_1.selectPreventEffectsFromAction(config.action), function () { return [
        stack_1.StackActionBuilder.buildLockAction(util_1.isFn(config.nextSection)
            ? config.nextSection(config.payload, config.state, config.action)
            : config.nextSection),
        router_1.RouterActionBuilder.buildNavigateAction(util_1.isFn(config.path)
            ? config.path(config.payload, config.state, config.action)
            : config.path)
    ]; });
};
//# sourceMappingURL=chained.middleware.js.map