import { IStackEntity } from '../../definition';
/**
 * @stable [20.09.2019]
 * @param {string} currentSection
 * @param {IStackEntity} stackEntity
 * @returns {number}
 */
export declare const findStackEntityIndex: (currentSection: string, stackEntity: IStackEntity) => number;
/**
 * @stable [21.09.2019]
 * @param {IStackEntity} stackEntity
 * @param {number} startingIndex
 * @returns {string[]}
 */
export declare const collectStackMainSectionsByIndex: (stackEntity: IStackEntity, startingIndex: number) => string[];
/**
 * @stable [21.09.2019]
 * @param {string} section
 * @param {IStackEntity} stackEntity
 * @returns {string[]}
 */
export declare const getAdditionalStackSectionsToDestroy: (section: string, stackEntity: IStackEntity) => string[];
/**
 * @stable [20.09.2019]
 * @param {string} currentSection
 * @param {IStackEntity} stackEntity
 * @returns {string[][]}
 */
export declare const toGraphComponents: (currentSection: string, stackEntity: IStackEntity) => string[][];
/**
 * @stable [20.09.2019]
 * @param {string} currentSection
 * @param {IStackEntity} stackEntity
 * @param {(linkedSections: string[]) => boolean} predicate
 * @returns {Set<string>}
 */
export declare const findStackSectionsByPredicate: (currentSection: string, stackEntity: IStackEntity, predicate: (linkedSections: string[]) => boolean) => Set<string>;
/**
 * @stable [20.09.2019]
 * @param {string} currentSection
 * @param {IStackEntity} stackEntity
 * @returns {Set<string>}
 */
export declare const toAllIndependentStackSections: (currentSection: string, stackEntity: IStackEntity) => Set<string>;
/**
 * @stable [20.09.2019]
 * @param {string} currentSection
 * @param {IStackEntity} stackEntity
 * @returns {string[]}
 */
export declare const getAllIndependentStackSections: (currentSection: string, stackEntity: IStackEntity) => string[];
