"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var stack_support_1 = require("./stack.support");
describe('stack.support', function () {
    describe('getAllIndependentStackSections', function () {
        it('test1', function () {
            var initialState = {
                stack: [
                    {
                        section: 'section1',
                        linkedSections: ['section2'],
                    },
                    {
                        section: 'section2',
                        linkedSections: ['section3'],
                    },
                    {
                        section: 'section3',
                        linkedSections: ['section4'],
                    },
                    {
                        section: 'section4',
                        linkedSections: ['section5'],
                    },
                    {
                        section: 'section5',
                        linkedSections: [],
                    }
                ],
                destroySections: [],
            };
            expect(new Set(stack_support_1.getAllIndependentStackSections('section1', initialState))).toEqual(new Set(['section2', 'section3', 'section4', 'section5']));
        });
        it('test2', function () {
            var initialState = {
                stack: [
                    {
                        section: 'section1',
                        linkedSections: ['section2'],
                    },
                    {
                        section: 'section2',
                        linkedSections: ['section3'],
                    },
                    {
                        section: 'section3',
                        linkedSections: ['section4'],
                    },
                    {
                        section: 'section4',
                        linkedSections: ['section5'],
                    },
                    {
                        section: 'section5',
                        linkedSections: [],
                    }
                ],
                destroySections: [],
            };
            expect(new Set(stack_support_1.getAllIndependentStackSections('section6', initialState))).toEqual(new Set(['section1', 'section2', 'section3', 'section4', 'section5']));
        });
        it('test3', function () {
            var initialState = {
                stack: [
                    {
                        section: 'section1',
                        linkedSections: ['section2'],
                    },
                    {
                        section: 'section2',
                        linkedSections: ['section3'],
                    },
                    {
                        section: 'section3',
                        linkedSections: ['section4'],
                    },
                    {
                        section: 'section4',
                        linkedSections: ['section5'],
                    },
                    {
                        section: 'section5',
                        linkedSections: [],
                    }
                ],
                destroySections: ['section5'],
            };
            // S1 -> S2 -> S3 -> S4 -> S5 -> S3
            expect(new Set(stack_support_1.getAllIndependentStackSections('section3', initialState))).toEqual(new Set(['section4', 'section5']));
        });
        it('test4', function () {
            var initialState = {
                stack: [
                    {
                        section: 'section1',
                        linkedSections: ['section2'],
                    },
                    {
                        section: 'section2',
                        linkedSections: ['section3'],
                    },
                    {
                        section: 'section3',
                        linkedSections: ['section4'],
                    },
                    {
                        section: 'section4',
                        linkedSections: ['section5'],
                    },
                    {
                        section: 'section5',
                        linkedSections: [],
                    }
                ],
                destroySections: ['section5'],
            };
            // S1 -> S2 -> S3 -> S4 -> S5 -> S2
            expect(new Set(stack_support_1.getAllIndependentStackSections('section2', initialState))).toEqual(new Set(['section3', 'section4', 'section5']));
        });
    });
});
//# sourceMappingURL=stack.support.spec.js.map