import { IEntity, IKeyValue } from '../definitions.interface';
import { IConnectorEntity } from '../definition';
export declare function buildRoute(path: string, params: IKeyValue): string;
/**
 * @stable [01.12.2018]
 * @param {string} path
 * @returns {string}
 */
export declare const buildNormalizedPath: (path: string) => string;
/**
 * @stable [21.08.2018]
 * @param {string} path
 * @param {TEntity} entity
 * @param {IKeyValue} params
 * @returns {string}
 */
export declare const buildEntityRoute: <TEntity extends IEntity>(path: string, entity?: TEntity, params?: IKeyValue) => string;
/**
 * @stable [11.09.2019]
 * @param {string} section
 * @param {Map<string, >} connectorConfigs
 * @returns {string}
 */
export declare const getRoutePathBySection: (section: string, connectorConfigs: Map<string, IConnectorEntity<{}, {}>>) => string;
