import { IMultiEntity, IMultiEntityStorageSetEntity } from '../definition';
import { IEntity } from '../definitions.interface';
/**
 * @stable [02.10.2019]
 * @param {TEntity} changes
 * @param {Array<(entity: TEntity) => MultiFieldSingleValueT>} fieldsValuesResolvers
 * @param {(fileName: string, value: MultiFieldSingleValueT) => Promise<IMultiEntityStorageSetEntity>} storageProcessor
 * @returns {Promise<IMultiEntityStorageSetEntity[]>}
 */
export declare const entitiesAsStorageTasks: <TEntity>(changes: TEntity, fieldsValuesResolvers: ((entity: TEntity) => string | number | IMultiEntity<IEntity>)[], storageProcessor: (fileName: string, value: string | number | IMultiEntity<IEntity>) => Promise<IMultiEntityStorageSetEntity>) => Promise<IMultiEntityStorageSetEntity[]>;
/**
 * @stable [02.10.2019]
 * @param {IMultiEntityStorageSetEntity} result
 * @returns {string}
 */
export declare const asSingleAddedFileId: (result: IMultiEntityStorageSetEntity) => string;
