import { IAlwaysReturnEmptyValueIfOriginalValueWrapper, IChangeableWrapper, IDisabledWrapper, IEditedWrapper, IEmptyOriginalValueWrapper, IExpandActionRenderedWrapper, IFocusedWrapper, IHighlightOddWrapper, IHoveredWrapper, IIndexedWrapper, IKeyboardOpenWrapper, IMultiWrapper, IPreventFocusWrapper, IProgressWrapper, IReadOnlyWrapper, IRequiredWrapper, ISelectableWrapper, ISelectedWrapper, ISortableWrapper, ISyntheticCursorWrapper, IUseKeyboardWrapper, IValidWrapper, IVisibleWrapper } from '../definitions.interface';
/**
 * @stable [24.10.2019]
 * @param {IValidWrapper} validEntity
 * @returns {boolean}
 */
export declare const isValid: (validEntity: IValidWrapper) => boolean;
/**
 * @stable [24.10.2019]
 * @param {IPreventFocusWrapper} preventFocusEntity
 * @returns {boolean}
 */
export declare const isFocusPrevented: (preventFocusEntity: IPreventFocusWrapper) => boolean;
/**
 * @stable [24.10.2019]
 * @param {IProgressWrapper} progressEntity
 * @returns {boolean}
 */
export declare const inProgress: (progressEntity: IProgressWrapper) => boolean;
/**
 * @stable [24.10.2019]
 * @param {IUseKeyboardWrapper} useKeyboardEntity
 * @returns {boolean}
 */
export declare const isKeyboardUsed: (useKeyboardEntity: IUseKeyboardWrapper) => boolean;
/**
 * @stable [25.10.2019]
 * @param {IVisibleWrapper} visibleEntity
 * @returns {boolean}
 */
export declare const isVisible: (visibleEntity: IVisibleWrapper) => boolean;
/**
 * @stable [30.10.2019]
 * @param {IFocusedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isFocused: (wrapper: IFocusedWrapper) => boolean;
/**
 * @stable [26.10.2019]
 * @param {IHighlightOddWrapper} highlightOddEntity
 * @param {number} index
 * @returns {boolean}
 */
export declare const isHighlightOdd: (highlightOddEntity: IHighlightOddWrapper, index: number) => boolean;
/**
 * @stable [26.10.2019]
 * @param {IIndexedWrapper} indexedEntity
 * @returns {boolean}
 */
export declare const isIndexed: (indexedEntity: IIndexedWrapper) => boolean;
/**
 * @stable [26.10.2019]
 * @param {IEditedWrapper} editedEntity
 * @returns {boolean}
 */
export declare const isEdited: (editedEntity: IEditedWrapper) => boolean;
/**
 * @stable [26.10.2019]
 * @param {ISortableWrapper} sortableEntity
 * @returns {boolean}
 */
export declare const isSortable: (sortableEntity: ISortableWrapper) => boolean;
/**
 * @stable [27.10.2019]
 * @param {IDisabledWrapper} disabledEntity
 * @returns {boolean}
 */
export declare const isDisabled: (disabledEntity: IDisabledWrapper<boolean>) => boolean;
/**
 * @stable [27.10.2019]
 * @param {IDisabledWrapper} selectedWrapper
 * @returns {boolean}
 */
export declare const isSelected: (selectedWrapper: ISelectedWrapper<boolean>) => boolean;
/**
 * @stable [27.10.2019]
 * @param {ISelectableWrapper} selectableWrapper
 * @returns {boolean}
 */
export declare const isSelectable: (selectableWrapper: ISelectableWrapper) => boolean;
/**
 * @stable [27.10.2019]
 * @param {IHoveredWrapper} hoveredWrapper
 * @returns {boolean}
 */
export declare const isHovered: (hoveredWrapper: IHoveredWrapper) => boolean;
/**
 * @stable [27.10.2019]
 * @param {IExpandActionRenderedWrapper} hoveredWrapper
 * @returns {boolean}
 */
export declare const isExpandActionRendered: (hoveredWrapper: IExpandActionRenderedWrapper) => boolean;
/**
 * @stable [28.10.2019]
 * @param {IReadOnlyWrapper} readOnlyWrapper
 * @returns {boolean}
 */
export declare const isReadOnly: (readOnlyWrapper: IReadOnlyWrapper) => boolean;
/**
 * @stable [28.10.2019]
 * @param {IChangeableWrapper} changeableWrapper
 * @returns {boolean}
 */
export declare const isChangeable: (changeableWrapper: IChangeableWrapper) => boolean;
/**
 * @stable [28.10.2019]
 * @param {IKeyboardOpenWrapper} wrapper
 * @returns {boolean}
 */
export declare const isKeyboardOpen: (wrapper: IKeyboardOpenWrapper) => boolean;
/**
 * @stable [29.10.2019]
 * @param {IRequiredWrapper} wrapper
 * @returns {boolean}
 */
export declare const isRequired: (wrapper: IRequiredWrapper<boolean>) => boolean;
/**
 * @stable [30.10.2019]
 * @param {ISyntheticCursorWrapper} wrapper
 * @returns {boolean}
 */
export declare const isSyntheticCursorUsed: (wrapper: ISyntheticCursorWrapper<boolean>) => boolean;
/**
 * @stable [12.11.2019]
 * @param {IEmptyOriginalValueWrapper} wrapper
 * @returns {boolean}
 */
export declare const isEmptyOriginalValueSet: (wrapper: IEmptyOriginalValueWrapper<boolean>) => boolean;
/**
 * @stable [14.11.2019]
 * @param {IAlwaysReturnEmptyValueIfOriginalValueWrapper} wrapper
 * @returns {boolean}
 */
export declare const isAlwaysReturnEmptyValueIfOriginalValue: (wrapper: IAlwaysReturnEmptyValueIfOriginalValueWrapper) => boolean;
/**
 * @stable [13.11.2019]
 * @param {IMultiWrapper} wrapper
 * @returns {boolean}
 */
export declare const isMulti: (wrapper: IMultiWrapper) => boolean;
