"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var R = require("ramda");
var ts_smart_logger_1 = require("ts-smart-logger");
var di_1 = require("../../di");
var util_1 = require("../../util");
var operation_1 = require("../../operation");
var definition_1 = require("../../definition");
var VersionMetaFilesProcessor = /** @class */ (function () {
    function VersionMetaFilesProcessor() {
    }
    VersionMetaFilesProcessor_1 = VersionMetaFilesProcessor;
    /**
     * @stable [16.09.2019]
     * @returns {Promise<boolean>}
     */
    VersionMetaFilesProcessor.prototype.processNewVersionUuidAndGetResult = function () {
        return __awaiter(this, void 0, void 0, function () {
            var metaFilesUrl, storage, data, e_1, localAppUuid, remoteMetaData, remoteAppUuid;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        metaFilesUrl = this.settings.metaFilesUrl;
                        if (!util_1.isObjectNotEmpty(metaFilesUrl)) {
                            VersionMetaFilesProcessor_1.logger.warn('[$VersionMetaFilesProcessor][needToBeUpdated] The setting url is empty!');
                            return [2 /*return*/, false];
                        }
                        storage = this.getStorage();
                        _a.label = 1;
                    case 1:
                        _a.trys.push([1, 3, , 4]);
                        return [4 /*yield*/, Promise.all([
                                storage.get(definition_1.STORAGE_APP_UUID_KEY),
                                this.transport.request({
                                    url: metaFilesUrl,
                                    method: definition_1.TransportMethodsEnum.GET,
                                    noAuth: true,
                                    operation: operation_1.Operation.create(definition_1.VERSION_PROCESSOR_LOADING_INFO_OPERATION_UUID),
                                })
                            ])];
                    case 2:
                        data = _a.sent();
                        return [3 /*break*/, 4];
                    case 3:
                        e_1 = _a.sent();
                        VersionMetaFilesProcessor_1.logger.error('[$VersionMetaFilesProcessor][needToBeUpdated] Error:', e_1);
                        return [2 /*return*/, false];
                    case 4:
                        localAppUuid = data[0];
                        remoteMetaData = data[1];
                        remoteAppUuid = remoteMetaData.uuid;
                        if (R.isNil(util_1.nvl(localAppUuid, remoteAppUuid))) {
                            if (R.isNil(remoteAppUuid)) {
                                VersionMetaFilesProcessor_1.logger.warn('[$VersionMetaFilesProcessor][needToBeUpdated] Remote app uuid is empty!');
                            }
                            return [2 /*return*/, false];
                        }
                        // Set remote app uuid to the local storage
                        return [4 /*yield*/, storage.set(definition_1.STORAGE_APP_UUID_KEY, remoteAppUuid)];
                    case 5:
                        // Set remote app uuid to the local storage
                        _a.sent();
                        if (util_1.isObjectNotEmpty(localAppUuid)
                            && util_1.isObjectNotEmpty(remoteAppUuid)
                            && !R.equals(localAppUuid, remoteAppUuid)) {
                            // After F5, to exclude the inconsistent state of App - need redirect to initial path
                            VersionMetaFilesProcessor_1.logger.debug('[$VersionMetaFilesProcessor][$needToBeUpdated] Need redirect to the initial path because of a new release.');
                            return [2 /*return*/, true];
                        }
                        else {
                            VersionMetaFilesProcessor_1.logger.debug('[$VersionMetaFilesProcessor][$needToBeUpdated] No new app version has been revealed.');
                        }
                        return [2 /*return*/, false];
                }
            });
        });
    };
    /**
     * @stable [16.09.2019]
     * @returns {IStorage}
     */
    VersionMetaFilesProcessor.prototype.getStorage = function () {
        return this.notVersionedSessionStorage;
    };
    var VersionMetaFilesProcessor_1;
    VersionMetaFilesProcessor.logger = ts_smart_logger_1.LoggerFactory.makeLogger('VersionMetaFilesProcessor');
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.NotVersionedSessionStorage),
        __metadata("design:type", Object)
    ], VersionMetaFilesProcessor.prototype, "notVersionedSessionStorage", void 0);
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.Settings),
        __metadata("design:type", Object)
    ], VersionMetaFilesProcessor.prototype, "settings", void 0);
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.Transport),
        __metadata("design:type", Object)
    ], VersionMetaFilesProcessor.prototype, "transport", void 0);
    VersionMetaFilesProcessor = VersionMetaFilesProcessor_1 = __decorate([
        inversify_1.injectable()
    ], VersionMetaFilesProcessor);
    return VersionMetaFilesProcessor;
}());
exports.VersionMetaFilesProcessor = VersionMetaFilesProcessor;
//# sourceMappingURL=version-meta-files-processor.service.js.map