import { ISettingsEntity } from '../../../settings';
import { IKeyValue } from '../../../definitions.interface';
import { ITransportCancelTokenEntity, ITransportRequestDataFactory, ITransportRequestEntity, ITransportRequestPayloadEntity, ITransportRequestPayloadFactory } from '../../../definition';
export declare class TransportRequestPayloadFactory implements ITransportRequestPayloadFactory {
    protected readonly settings: ISettingsEntity;
    private readonly requestDataFactory;
    /**
     * @stable [16.09.2019]
     */
    constructor();
    /**
     * @stable [02.02.2019]
     * @param {ITransportRequestEntity} requestEntity
     * @param {ITransportCancelTokenEntity} cancelToken
     * @returns {ITransportRequestPayloadEntity}
     */
    makeRequestPayload(requestEntity: ITransportRequestEntity, cancelToken?: ITransportCancelTokenEntity): ITransportRequestPayloadEntity;
    /**
     * @stable [16.09.2019]
     * @param {ITransportRequestEntity} req
     * @returns {IKeyValue}
     */
    makeRequestData(req: ITransportRequestEntity): IKeyValue;
    /**
     * @stable [16.09.2019]
     * @param {ITransportRequestEntity} requestEntity
     * @returns {string}
     */
    protected getUrl(requestEntity: ITransportRequestEntity): string;
    /**
     * @stable [02.02.2019]
     * @param {ITransportRequestEntity} requestEntity
     * @returns {string}
     */
    protected getBaseUrl(requestEntity: ITransportRequestEntity): string;
    /**
     * @stable [02.02.2019]
     * @param {ITransportRequestEntity} requestEntity
     * @returns {boolean}
     */
    protected getWithCredentials(requestEntity: ITransportRequestEntity): boolean;
    /**
     * @stable [02.02.2019]
     * @param {ITransportRequestEntity} requestEntity
     * @returns {string}
     */
    protected getMethod(requestEntity: ITransportRequestEntity): string;
    /**
     * @stable [16.09.2019]
     * @param {ITransportRequestEntity} requestEntity
     * @returns {ITransportRequestDataFactory}
     */
    protected getRequestDataFactory(requestEntity: ITransportRequestEntity): ITransportRequestDataFactory;
    /**
     * @stable [02.02.2019]
     * @param {ITransportRequestEntity} requestEntity
     * @returns {IKeyValue}
     */
    protected getData(requestEntity: ITransportRequestEntity): IKeyValue;
    /**
     * @stable [16.09.2019]
     * @param {ITransportRequestEntity} requestEntity
     * @returns {IKeyValue}
     */
    protected getHeaders(requestEntity: ITransportRequestEntity): IKeyValue;
    /**
     * @stable [02.02.2019]
     * @param {ITransportRequestEntity} requestEntity
     * @returns {boolean}
     */
    protected isRequestBlobData(requestEntity: ITransportRequestEntity): boolean;
    /**
     * @stable [16.09.2019]
     * @param {ITransportRequestEntity} requestEntity
     * @returns {boolean}
     */
    protected isRequestFormData(requestEntity: ITransportRequestEntity): boolean;
    /**
     * @stable [15.09.2019]
     * @returns {ITransportSettingsEntity}
     */
    private readonly transportSettings;
}
